Earnings source statements
curl --request GET \
--url https://astreus.ai/api/v1/companies/{id}/earnings/statements \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/companies/{id}/earnings/statements"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/companies/{id}/earnings/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/companies/{id}/earnings/statements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/companies/{id}/earnings/statements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/companies/{id}/earnings/statements")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/companies/{id}/earnings/statements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"ticker": "NVDA",
"counts": {
"causal_claim": 708,
"guidance": 583,
"metric": 2101,
"event": 997,
"state": 3758
},
"total": 708,
"rows": [
{
"observationId": 742816,
"type": "causal_claim",
"statement": "High compute infrastructure costs drove the sequential increase in NVIDIA's operating expenses in Q2 FY2027.",
"concept": "operating expenses",
"direction": "increasing",
"value": null,
"valueLow": null,
"valueHigh": null,
"unit": null,
"valueQualifier": null,
"periodRaw": "primarily due to",
"isForwardLooking": false,
"causeStatement": "NVIDIA incurred high compute infrastructure costs.",
"effectStatement": "NVIDIA's GAAP and non-GAAP operating expenses increased sequentially.",
"quote": "primarily due to high compute infrastructure costs",
"speakerName": "Colette Kress",
"speakerRole": "executive",
"documentId": 35778
},
{
"observationId": 742817,
"type": "causal_claim",
"statement": "Compensation and benefits costs drove the sequential increase in NVIDIA's operating expenses in Q2 FY2027.",
"concept": "operating expenses",
"direction": "increasing",
"value": null,
"valueLow": null,
"valueHigh": null,
"unit": null,
"valueQualifier": null,
"periodRaw": "primarily due to",
"isForwardLooking": false,
"causeStatement": "NVIDIA incurred compensation and benefits costs.",
"effectStatement": "NVIDIA's GAAP and non-GAAP operating expenses increased sequentially.",
"quote": "primarily due to high compute infrastructure costs and compensation and benefits costs.",
"speakerName": "Colette Kress",
"speakerRole": "executive",
"documentId": 35778
}
],
"calls": [
{
"documentId": 35778,
"externalId": "257198",
"date": "2026-08-26",
"label": "Q2 FY2027"
},
{
"documentId": 1,
"externalId": "31919",
"date": "2026-05-20",
"label": "Q1 FY2027"
}
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Guidance & Scorecards
Earnings source statements
Verified statements from the issuer’s speakers, by extraction type, newest call first. Retains source call and quote anchors; a speaker’s causal claim is not independently proven causation. Retains source call and quote anchors; a speaker’s causal claim is not independently proven causation.
GET
/
api
/
v1
/
companies
/
{id}
/
earnings
/
statements
Earnings source statements
curl --request GET \
--url https://astreus.ai/api/v1/companies/{id}/earnings/statements \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/companies/{id}/earnings/statements"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/companies/{id}/earnings/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/companies/{id}/earnings/statements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/companies/{id}/earnings/statements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/companies/{id}/earnings/statements")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/companies/{id}/earnings/statements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"ticker": "NVDA",
"counts": {
"causal_claim": 708,
"guidance": 583,
"metric": 2101,
"event": 997,
"state": 3758
},
"total": 708,
"rows": [
{
"observationId": 742816,
"type": "causal_claim",
"statement": "High compute infrastructure costs drove the sequential increase in NVIDIA's operating expenses in Q2 FY2027.",
"concept": "operating expenses",
"direction": "increasing",
"value": null,
"valueLow": null,
"valueHigh": null,
"unit": null,
"valueQualifier": null,
"periodRaw": "primarily due to",
"isForwardLooking": false,
"causeStatement": "NVIDIA incurred high compute infrastructure costs.",
"effectStatement": "NVIDIA's GAAP and non-GAAP operating expenses increased sequentially.",
"quote": "primarily due to high compute infrastructure costs",
"speakerName": "Colette Kress",
"speakerRole": "executive",
"documentId": 35778
},
{
"observationId": 742817,
"type": "causal_claim",
"statement": "Compensation and benefits costs drove the sequential increase in NVIDIA's operating expenses in Q2 FY2027.",
"concept": "operating expenses",
"direction": "increasing",
"value": null,
"valueLow": null,
"valueHigh": null,
"unit": null,
"valueQualifier": null,
"periodRaw": "primarily due to",
"isForwardLooking": false,
"causeStatement": "NVIDIA incurred compensation and benefits costs.",
"effectStatement": "NVIDIA's GAAP and non-GAAP operating expenses increased sequentially.",
"quote": "primarily due to high compute infrastructure costs and compensation and benefits costs.",
"speakerName": "Colette Kress",
"speakerRole": "executive",
"documentId": 35778
}
],
"calls": [
{
"documentId": 35778,
"externalId": "257198",
"date": "2026-08-26",
"label": "Q2 FY2027"
},
{
"documentId": 1,
"externalId": "31919",
"date": "2026-05-20",
"label": "Q1 FY2027"
}
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
apiKeycognitoIdToken
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Ticker, SEC CIK or canonical platform key returned by company resolution.
Query Parameters
Extraction type.
Available options:
causal_claim, guidance, metric, event, state Limit to one source document ID (an integer).
Text contained in the statement, its quote, concept, cause, effect or speaker name; max 200 characters.
Rows per page, 1–100; default 50.
Required range:
1 <= x <= 100Rows to skip, default 0.
Required range:
x >= 0